using System;
using System.Collections.Generic;
using System.Text;

namespace StringPerformance
{
   class Program
   {
      static void Main(string[] args)
      {
         int durchläufe;

         string s = "";
         StringBuilder sb = new StringBuilder();

         Console.Write("Anzahl der Durchläufe? ");
         durchläufe = int.Parse(Console.ReadLine()); 

         Console.WriteLine("Teste string-Objekt...");
         for (int i = 1; i <= durchläufe; i++)
            s = s + "Hallo Welt!";

         Console.WriteLine("\nTeste StringBuilder-Objekt...");
         for (int i = 1; i <= durchläufe; i++)
            sb.Append("Hallo Welt!");
      }
   }
}
